Bug 113286 - Crash report url/link should be clickable in Crash Report dialog
Summary: Crash report url/link should be clickable in Crash Report dialog
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2
Keywords:
Depends on:
Blocks: Crash-Report
  Show dependency treegraph
 
Reported: 2017-10-20 10:11 UTC by Yousuf Philips (jay) (retired)
Modified: 2021-02-15 02:24 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (31.24 KB, image/png)
2017-10-20 10:11 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-10-20 10:11:55 UTC
Created attachment 137137 [details]
screenshot

The url should begin with http:// and should be clickable, so users doesnt need to copy and paste it.
Comment 1 Commit Notification 2020-12-02 09:00:19 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ea9863c0104bfa74e7542f850768c2c0ee63a577

Partially resolve: tdf#113286 Add https:// to URL in Crash Report

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Heiko Tietze 2020-12-02 09:01:46 UTC
(In reply to Commit Notification from comment #1)
> Seth Chaiklin committed a patch related to this issue.

Not finished since the patch changes wording only. The discussion run on https://gerrit.libreoffice.org/c/core/+/105991
Comment 3 Commit Notification 2020-12-02 16:48:12 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/09e1970c268f2f6197dbee614c12cbc6238d37d0

Partially resolve: tdf#113286 Add https:// to URL in Crash Report

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 copland 2021-02-08 05:25:13 UTC Comment hidden (spam)
Comment 5 Heiko Tietze 2021-02-08 09:06:10 UTC
Seth, what's the status here? Perhaps we can update the summary.
Comment 6 Xisco Faulí 2021-02-08 10:56:42 UTC
(In reply to Heiko Tietze from comment #5)
> Seth, what's the status here? Perhaps we can update the summary.

NEEDINFO status is incorrect here
Comment 7 sdc.blanco 2021-02-08 21:32:50 UTC
(In reply to Heiko Tietze from comment #5)
> Seth, what's the status here? Perhaps we can update the summary.
The commit in comment 1 adds the http:// to the dialog box for crash report, but does not make it clickable.

Comment 2 is still accurate, and gives a link to an untested patch that could potentially be developed into a solution.  Summary is still accurate.